Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 4.0.103
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.collections
Class TupleSerialFactory

    java.lang.Object
      com.sleepycat.collections.TupleSerialFactory

    public class TupleSerialFactory

extends Object

Creates stored collections having tuple keys and serialized entity values. The entity classes must be Serializable and must implement the MarshalledTupleKeyEntity interfaces. The key classes must either implement the MarshalledTupleEntry interface or be one of the Java primitive type classes. Underlying binding objects are created automatically.

Author:
  Mark Hayes

Constructor Summary
`TupleSerialFactory(ClassCatalog catalog)` Creates a tuple-serial factory for given environment and class catalog.

Method Summary
`ClassCatalog` | `getCatalog()` Returns the class catalog associated with this factory.
`
`<V extends MarshalledTupleKeyEntity> TupleSerialMarshalledBinding<V>`
` | `getEntityBinding(Class<V> baseClass)`
`
`<V extends MarshalledTupleKeyEntity> TupleSerialMarshalledKeyCreator<V>`
` | `getKeyCreator(Class<V> valueBaseClass, String keyName)` Creates a `SecondaryKeyCreator` object for use in configuring a `SecondaryDatabase`.
`
`<K,V extends MarshalledTupleKeyEntity> StoredMap<K,V>`
` | `newMap(Database db, Class<K> keyClass, Class<V> valueBaseClass, boolean writeAllowed)` Creates a map from a previously opened Database object.
`
`<K,V extends MarshalledTupleKeyEntity> StoredSortedMap<K,V>`
` | `newSortedMap(Database db, Class<K> keyClass, Class<V> valueBaseClass, boolean writeAllowed)` Creates a sorted map from a previously opened Database object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TupleSerialFactory

    public TupleSerialFactory(ClassCatalog catalog)

  Creates a tuple-serial factory for given environment and class catalog.

Method Detail

### getCatalog

    public final ClassCatalog getCatalog()

  Returns the class catalog associated with this factory.

### newMap

    public <K,V extends MarshalledTupleKeyEntity> StoredMap<K,V> newMap(Database db,
                                                                        Class<K> keyClass,
                                                                        Class<V> valueBaseClass,
                                                                        boolean writeAllowed)

  Creates a map from a previously opened Database object.

  Parameters:
    `db` - the previously opened Database object.
    `keyClass` - is the class used for map keys. It must implement the `MarshalledTupleEntry` interface or be one of the Java primitive type classes.
    `valueBaseClass` - the base class of the entity values for this store. It must implement the `MarshalledTupleKeyEntity` interface.
    `writeAllowed` - is true to create a read-write collection or false to create a read-only collection.

### newSortedMap

    public <K,V extends MarshalledTupleKeyEntity> StoredSortedMap<K,V> newSortedMap(Database db,
                                                                                    Class<K> keyClass,
                                                                                    Class<V> valueBaseClass,
                                                                                    boolean writeAllowed)

  Creates a sorted map from a previously opened Database object.

  Parameters:
    `db` - the previously opened Database object.
    `keyClass` - is the class used for map keys. It must implement the `MarshalledTupleEntry` interface or be one of the Java primitive type classes.
    `valueBaseClass` - the base class of the entity values for this store. It must implement the `MarshalledTupleKeyEntity` interface.
    `writeAllowed` - is true to create a read-write collection or false to create a read-only collection.

### getKeyCreator

    public <V extends MarshalledTupleKeyEntity> TupleSerialMarshalledKeyCreator<V> getKeyCreator(Class<V> valueBaseClass,
                                                                                                 String keyName)

  Creates a `SecondaryKeyCreator` object for use in configuring a `SecondaryDatabase`. The returned object implements the `SecondaryKeyCreator` interface.

  Parameters:
    `valueBaseClass` - the base class of the entity values for this store. It must implement the `MarshalledTupleKeyEntity` interface.
    `keyName` - is the key name passed to the `MarshalledTupleKeyEntity.marshalSecondaryKey(java.lang.String, com.sleepycat.bind.tuple.TupleOutput)` method to identify the secondary key.

### getEntityBinding

    public <V extends MarshalledTupleKeyEntity> TupleSerialMarshalledBinding<V> getEntityBinding(Class<V> baseClass)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 4.0.103
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Oracle. All rights reserved.